package com.fizz.business.service;

import java.util.List;
import com.fizz.business.domain.SetupTension;

/**
 * 全线张力Service接口
 * 
 * @author ruoyi
 * @date 2025-09-26
 */
public interface ISetupTensionService 
{
    /**
     * 查询全线张力
     * 
     * @param thick 全线张力主键
     * @return 全线张力
     */
    public SetupTension selectSetupTensionByThick(Long thick,Long yieldStren);

    /**
     * 查询全线张力列表
     * 
     * @param setupTension 全线张力
     * @return 全线张力集合
     */
    public List<SetupTension> selectSetupTensionList(SetupTension setupTension);

    /**
     * 新增全线张力
     * 
     * @param setupTension 全线张力
     * @return 结果
     */
    public int insertSetupTension(SetupTension setupTension);

    /**
     * 修改全线张力
     * 
     * @param setupTension 全线张力
     * @return 结果
     */
    public int updateSetupTension(SetupTension setupTension);

    /**
     * 批量删除全线张力
     * 
     * @param thicks 需要删除的全线张力主键集合
     * @return 结果
     */
    public int deleteSetupTensionByThicks(Long[] thicks,Long[] yieldStrens );

    /**
     * 删除全线张力信息
     * 
     * @param thick 全线张力主键
     * @return 结果
     */
    public int deleteSetupTensionByThick(Long thick);
}
